<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUnitDocumentMessageLabel" jhiTranslate="mpmApp.unitDocumentMessage.home.createOrEditLabel">Create or edit a Unit Document Message</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!unitDocumentMessage.idMessage">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="unitDocumentMessage.idMessage" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitDocumentMessage.idRequirement" for="field_idRequirement">Id Requirement</label>
                    <input type="text" class="form-control" name="idRequirement" id="field_idRequirement"
                        [(ngModel)]="unitDocumentMessage.idRequirement" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitDocumentMessage.idProspect" for="field_idProspect">Id Prospect</label>
                    <input type="text" class="form-control" name="idProspect" id="field_idProspect"
                        [(ngModel)]="unitDocumentMessage.idProspect" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitDocumentMessage.content" for="field_content">Content</label>
                    <input type="text" class="form-control" name="content" id="field_content"
                        [(ngModel)]="unitDocumentMessage.content" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitDocumentMessage.dateCreated" for="field_dateCreated">Date Created</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateCreated" name="input_dateCreated" [(ngModel)]="unitDocumentMessage.dateCreated"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitDocumentMessage.usernameFrom" for="field_usernameFrom">Username From</label>
                    <input type="text" class="form-control" name="usernameFrom" id="field_usernameFrom"
                        [(ngModel)]="unitDocumentMessage.usernameFrom" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitDocumentMessage.usernameTo" for="field_usernameTo">Username To</label>
                    <input type="text" class="form-control" name="usernameTo" id="field_usernameTo"
                        [(ngModel)]="unitDocumentMessage.usernameTo" />
                </div>

                <div class="form-group" *ngIf="idMessage === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitDocumentMessage.unitDocumentMessage" for="field_unitDocumentMessage">Unit Document Message</label>
                    <select class="form-control" id="field_unitDocumentMessage" name="unitDocumentMessage" [(ngModel)]="unitDocumentMessage.unitDocumentMessageId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="unitDocumentMessageOption.idMessage" *ngFor="let unitDocumentMessageOption of unitdocumentmessages; trackBy: trackUnitDocumentMessageById">{{unitDocumentMessageOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
